Bug 431011 - ip man page does not describe xfrm usage
ip man page does not describe xfrm usage
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: iproute (Show other bugs)
All Linux
low Severity low
: rc
: ---
Assigned To: Marcela Mašláňová
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2008-01-30 22:08 EST by Karl Wirth
Modified: 2009-01-20 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-20 17:00:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Steve Conklin 2008-01-30 22:08:11 EST
Description of problem:

There is no documentation in the ip man page of how to use xfrm

Version-Release number of selected component (if applicable):


How reproducible:

man ip

if you use ip --help, there is listed the xfrm object, and you can get more
information by entering

ip xfrm state help
ip xfrm policy help
ip xfrm monitor help

It would be helpful if this information was in the man page.
Comment 1 Marcela Mašláňová 2008-02-05 10:29:23 EST
I didn't find any existing documentation even in upstream. What do you like to
have in manual page? Do you want copy the output or mentioned the xfrm option in
man 8 ip? 

In sensitive package like this, I prefer backporting from upstream version.
Comment 2 Steve Conklin 2008-02-05 10:59:24 EST
I'm asking the upstream maintainer whether he can suggest anything, or perhaps
get something in that we can apply as a patch.
Comment 3 Marcela Mašláňová 2008-02-06 03:04:21 EST
I can try write a patch and send it to upstream for check and that takes a lot
of time.
Comment 5 Marcela Mašláňová 2008-04-24 04:48:15 EDT
The patch with manual page was accepted by upstream in iproute-2.6.25.
Comment 8 RHEL Product and Program Management 2008-07-04 10:12:06 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
Comment 13 errata-xmlrpc 2009-01-20 17:00:09 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.